# Interface methods for submodule: vnl_nonlinear_minimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: vnl_nonlinear_minimizer
class vnl_nonlinear_minimizerProxy():
	def set_f_tolerance(self, v: float) -> None:
		""""""
		...

	def get_f_tolerance(self) -> float:
		""""""
		...

	def set_x_tolerance(self, v: float) -> None:
		""""""
		...

	def get_x_tolerance(self) -> float:
		""""""
		...

	def set_g_tolerance(self, v: float) -> None:
		""""""
		...

	def get_g_tolerance(self) -> float:
		""""""
		...

	def set_max_function_evals(self, v: int) -> None:
		""""""
		...

	def get_max_function_evals(self) -> int:
		""""""
		...

	def set_epsilon_function(self, v: float) -> None:
		""""""
		...

	def get_epsilon_function(self) -> float:
		""""""
		...

	def set_trace(self, on: bool) -> None:
		""""""
		...

	def get_trace(self) -> bool:
		""""""
		...

	def set_verbose(self, verb: bool) -> None:
		""""""
		...

	def get_verbose(self) -> bool:
		""""""
		...

	def set_check_derivatives(self, cd: int) -> None:
		""""""
		...

	def get_check_derivatives(self) -> int:
		""""""
		...

	def get_start_error(self) -> float:
		""""""
		...

	def get_end_error(self) -> float:
		""""""
		...

	def get_num_evaluations(self) -> int:
		""""""
		...

	def get_num_iterations(self) -> int:
		""""""
		...

	def obj_value_reduced(self) -> bool:
		""""""
		...

	def get_covariance(self) -> vnl_matrix:
		""""""
		...

	def is_a(self) -> str:
		""""""
		...

	def is_class(self, s: str) -> bool:
		""""""
		...

	def get_failure_code(self) -> vnl_nonlinear_minimizer::ReturnCodes:
		""""""
		...

